Edited at

Android Studio 2.2にアップデートして発生するGradle sync failed対応

More than 1 year has passed since last update.


Gradleでビルドできない

Android Studio 2.2にアップデート後、gradleのバージョンも

com.android.tools.build:gradle:2.2.0

にアップデートすると発生します。

NDKのサポートのため、gradle-experimentalを使っていると、Gradle Sync時に Gradle sync failed: Unable to load class 'com.android.builder.profile.Recorder$Property'. のエラーが起こり、進まなくなってしまいます。


GradleExperimentalをアップデートして対処

gradle-experimentalもアップデートすることで、エラーが解消します。

修正前

classpath 'com.android.tools.build:gradle-experimental:0.7.2'



修正後

classpath 'com.android.tools.build:gradle-experimental:0.8.0'


参考リンク

Failed to sync Gradle project - Android Studio 2.2